OpenVDB 7.0.0

Public Types | Public Member Functions | Public Attributes | List of all members
CheckRange< GridT, MinInclusive, MaxInclusive, TreeIterT > Struct Template Reference

Checks a value against a range. More...

`#include <Diagnostics.h>`

## Public Types
using | ElementType = typename VecTraits< typename GridT::ValueType >::ElementType
using | TileIterT = TreeIterT
using | VoxelIterT = typename tree::IterTraits< typename TreeIterT::NodeT, typename TreeIterT::ValueIterT > ::template NodeConverter< typename GridT::TreeType::LeafNodeType >::Type

## Public Member Functions
| CheckRange (const ElementType &_min, const ElementType &_max)
bool | operator() (const ElementType &v) const
| Return true if the value is smaller than min or larger than max. More...
template<typename T >
std::enable_if< VecTraits< T >::IsVec, bool >::type | operator() (const T &v) const
| Return true if any of the vector components are out of range. More...
bool | operator() (const TreeIterT &iter) const
| Return true if the voxel at the iterator location is out of range. More...
bool | operator() (const VoxelIterT &iter) const
| Return true if the tile at the iterator location is out of range. More...
std::string | str () const
| Return a string describing a failed check. More...

## Public Attributes
const ElementType | minVal
const ElementType | maxVal

## Detailed Description

### template<typename GridT, bool MinInclusive = true, bool MaxInclusive = true, typename TreeIterT = typename GridT::ValueOnCIter>
struct openvdb::v7_0::tools::CheckRange< GridT, MinInclusive, MaxInclusive, TreeIterT >

Checks a value against a range.

## Member Typedef Documentation

## ◆ ElementType

using ElementType = typename VecTraits<typename GridT::ValueType>::ElementType

## ◆ TileIterT

using TileIterT = TreeIterT

## ◆ VoxelIterT

using VoxelIterT = typename tree::IterTraits<typename TreeIterT::NodeT, typename TreeIterT::ValueIterT> ::template NodeConverter< typename GridT::TreeType::LeafNodeType>::Type

## Constructor & Destructor Documentation

## ◆ CheckRange()

CheckRange | ( | const ElementType & | _min,
|  | const ElementType & | _max
| ) |  |
| inline

## Member Function Documentation

## ◆ operator()() [1/4]

bool operator() | ( | const ElementType & | v | ) | const
| inline

Return true if the value is smaller than min or larger than max.

## ◆ operator()() [2/4]

std::enable_if<VecTraits<T>::IsVec, bool>::type operator() | ( | const T & | v | ) | const
| inline

Return true if any of the vector components are out of range.

## ◆ operator()() [3/4]

bool operator() | ( | const TreeIterT & | iter | ) | const
| inline

Return true if the voxel at the iterator location is out of range.

## ◆ operator()() [4/4]

bool operator() | ( | const VoxelIterT & | iter | ) | const
| inline

Return true if the tile at the iterator location is out of range.

## ◆ str()

std::string str | ( |  | ) | const
| inline

Return a string describing a failed check.

## Member Data Documentation

## ◆ maxVal

const ElementType maxVal

## ◆ minVal

const ElementType minVal

The documentation for this struct was generated from the following file:

- Diagnostics.h